{
    "extends": "@tsconfig/svelte/tsconfig.json",

    "include": [
        "frontend/src/**/*",
        "types/**/*",
        "./../../cms/tibi-types",
        "api/**/*",
        "frontend/assets/service-worker.js",
        "frontend/assets/service-worker.js"
    ],
    "compilerOptions": {
        "module": "esnext",
        "typeRoots": ["./node_modules/@types", "./types"],

        "target": "esnext",
        "moduleResolution": "node",
        "jsx": "preserve",
        "noEmit": true,
        "skipLibCheck": true,
        "forceConsistentCasingInFileNames": true,
        "resolveJsonModule": true,
        "useDefineForClassFields": true,
        "allowSyntheticDefaultImports": true,
        "verbatimModuleSyntax": true,

        "allowJs": true,
        "checkJs": true,
        "strictNullChecks": false
    }
}
